use crate::{install::str_vec, run_command};

pub const DESKTOP_PKG: [&str; 2] = ["plasma", "sddm"];

pub const SERVER_PKG: [&str; 1] = ["tmux"];

pub fn install_pkgs(pkg: &[&str]) {
    let mut cmd = vec!["arch-chroot", "/mnt", "pacman", "-Syu"];

    cmd.push("--noconfirm");
    cmd.extend_from_slice(pkg);

    run_command(&str_vec(cmd), None, true);
}